| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.DeviceVariable Class Reference

Class that holds information about a variable that was tracked on a certain device. More...

Inheritance diagram for LicenseSpring.DeviceVariable:

## Public Member Functions
| DeviceVariable ()
| DeviceVariable default constructor.
| DeviceVariable (string name, string value)
| DeviceVariable constructor.

## Properties
System.DateTime | CreatedAt`[get, set]`
| Time when the variable was created.
ulong | Device`[get, set]`
| 16 digit id of the device this variable belongs to.
uint | ID`[get, set]`
| Id of the variable.
string | Value`[get, set]`
| Value that was set for this device and license.
string | Variable`[get, set]`
| Name of the variable.
Properties inherited from LicenseSpring.IDeviceVariable

## Detailed Description

Class that holds information about a variable that was tracked on a certain device.

## Constructor & Destructor Documentation

## ◆ DeviceVariable()

LicenseSpring.DeviceVariable.DeviceVariable | ( | string | name,
|  | string | value
| ) |  |

DeviceVariable constructor.

Parameters

  name | Data field name
  value | Data field value

## Property Documentation

## ◆ CreatedAt

System.DateTime LicenseSpring.DeviceVariable.CreatedAt
| get set

Time when the variable was created.

Implements LicenseSpring.IDeviceVariable.

## ◆ Device

ulong LicenseSpring.DeviceVariable.Device
| get set

16 digit id of the device this variable belongs to.

Implements LicenseSpring.IDeviceVariable.

## ◆ ID

uint LicenseSpring.DeviceVariable.ID
| get set

Id of the variable.

Implements LicenseSpring.IDeviceVariable.

## ◆ Value

string LicenseSpring.DeviceVariable.Value
| get set

Value that was set for this device and license.

Implements LicenseSpring.IDeviceVariable.

## ◆ Variable

string LicenseSpring.DeviceVariable.Variable
| get set

Name of the variable.

Implements LicenseSpring.IDeviceVariable.

The documentation for this class was generated from the following file:

- Device.cs